Bug 1249026 - If a slave was added/removed to/form a bond, the reported speed is not relevant and you should re-calculate the speed. Also, if the bond mode was changed.
If a slave was added/removed to/form a bond, the reported speed is not releva...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.6.0
Assigned To: Martin Mucha
network
:
Depends On: 1136329
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 07:28 EDT by Martin Mucha
Modified: 2016-02-10 14:51 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-02 06:54:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Mucha 2015-07-31 07:28:27 EDT
Description of problem:
see https://gerrit.ovirt.org/#/c/43983/3/backend/manager/modules/bll/src/main/java/org/ovirt/engine/core/bll/network/host/InterfacesSpeed.java

related class:
org.ovirt.engine.core.bll.network.host.InterfacesSpeed#calculateInterfaceSpeed


 If a slave was added/removed to/form a bond, the reported speed is not relevant and you should re-calculate the speed. Also, if the bond mode was changed.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Alona Kaplan 2015-08-09 02:08:34 EDT
Relevant just to the old setupNetworks command.
Comment 2 Yaniv Lavi (Dary) 2015-08-09 10:01:45 EDT
Can this be tested already in new API? should it be on QA?
Comment 3 Alona Kaplan 2015-08-10 01:44:54 EDT
No, it is related to host qos, which is still not finished/merged for the nee api.
Comment 4 Barak 2015-09-02 06:50:12 EDT
Alona - is this still relevant now that we do not validate the speed ?
Comment 5 Alona Kaplan 2015-09-02 06:54:17 EDT
The nic speed validation was removed, so this bug is not relevant anymore.

Note You need to log in before you can comment on or make changes to this bug.